OpenTTD Source: SlTownAcceptanceMatrix Class Reference

OpenTTD Source 15.0-RC2

Data Structures | Public Member Functions | Static Public Attributes
SlTownAcceptanceMatrix Class Reference
Inheritance diagram for SlTownAcceptanceMatrix:

## Data Structures
struct | AcceptanceMatrix
| Compatibility struct with just enough of TileMatrix to facilitate loading. More...

## Public Member Functions
void | Load (Town *) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlTownAcceptanceMatrix, Town >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
virtual void | Save (Town *object) const
void | Save (void *object) const override
| Save the object to disk.
void | Load (void *object) const override
| Load the object from disk.
virtual void | LoadCheck (Town *object) const
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames.
virtual void | FixPointers (Town *object) const
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers.
Public Member Functions inherited from SaveLoadHandler
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk.

## Static Public Attributes
static const SaveLoad | description []
static const SaveLoadCompatTable | compat_description = _town_acceptance_matrix_sl_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 224 of file town_sl.cpp.

## Member Function Documentation

## ◆ Load()

void SlTownAcceptanceMatrix::Load | ( | Town * |  | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlTownAcceptanceMatrix, Town >.

Definition at line 239 of file town_sl.cpp.

## Field Documentation

## ◆ compat_description

const SaveLoadCompatTable SlTownAcceptanceMatrix::compat_description = _town_acceptance_matrix_sl_compat
| inlinestatic

Definition at line 237 of file town_sl.cpp.

## ◆ description

const SaveLoad SlTownAcceptanceMatrix::description[]
| inlinestatic

Initial value:
= {
SLE_VAR(AcceptanceMatrix, area.tile, SLE_UINT32),
SLE_VAR(AcceptanceMatrix, area.w, SLE_UINT16),
SLE_VAR(AcceptanceMatrix, area.h, SLE_UINT16),
}
SLE_VAR
#define SLE_VAR(base, variable, type)
Storage of a variable in every version of a savegame.
Definition saveload.h:1017

Definition at line 232 of file town_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/town_sl.cpp